<?xml version="1.0" encoding="utf-8"?>
<android.support.design.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".ui.activity.NoteEditorActivity">

    <include layout="@layout/toolbar" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginTop="?attr/actionBarSize"
        android:background="@color/colorPrimary"
        android:orientation="vertical">

        <android.support.v7.widget.AppCompatEditText
            android:id="@+id/note_editor_title"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="8dp"
            android:layout_marginEnd="8dp"
            android:background="@android:color/white"
            android:singleLine="true"
            tools:text="Title" />

        <View
            android:layout_width="match_parent"
            android:layout_height="8dp" />

        <android.support.v7.widget.AppCompatEditText
            android:id="@+id/note_editor_description"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginStart="8dp"
            android:layout_marginEnd="8dp"
            android:layout_weight="1"
            android:background="@android:color/white"
            android:gravity="start"
            tools:text="Text" />


        <Space
            android:layout_width="match_parent"
            android:layout_height="6dp" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="bottom"
            android:background="@color/colorPrimaryDark"
            android:orientation="horizontal"
            android:padding="8dp">

            <android.support.v7.widget.AppCompatTextView
                android:id="@+id/note_editor_show_priority"
                android:layout_width="55dp"
                android:layout_height="36dp"
                android:layout_gravity="center_vertical"
                android:background="@drawable/background_fragment_dialog"
                android:gravity="center"
                android:layout_weight="0.5"
                android:textColor="@android:color/black"
                tools:text="@string/medium" />


            <android.support.v7.widget.AppCompatButton
                android:id="@+id/note_editor_high_priority"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="4dp"
                android:layout_weight="1"
                android:text="@string/high"
                style="@style/Widget.AppCompat.Button.Borderless"
                android:background="@drawable/rounded_shape_for_button_editor"/>

            <android.support.v7.widget.AppCompatButton
                android:id="@+id/note_editor_medium_priority"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="@string/medium"
                style="@style/Widget.AppCompat.Button.Borderless"
                android:background="@drawable/rounded_shape_for_button_editor"/>

            <android.support.v7.widget.AppCompatButton
                android:id="@+id/note_editor_low_priority"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="@string/low"
                style="@style/Widget.AppCompat.Button.Borderless"
                android:background="@drawable/rounded_shape_for_button_editor"/>
        </LinearLayout>

    </LinearLayout>

    <android.support.design.widget.FloatingActionButton
        android:id="@+id/note_editor_fab"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="end|bottom"
        android:layout_marginEnd="16dp"
        android:layout_marginBottom="76dp"
        android:src="@drawable/ic_save" />
</android.support.design.widget.CoordinatorLayout>